import express from 'express';
import { getParticipants, addParticipant, removeParticipant, updateParticipantGroup, updateParticipantStatus } from '../controllers/participantController.js';
import { authenticate } from '../middleware/authMiddleware.js';

const router = express.Router();

router.get('/:dateId', authenticate, getParticipants);
router.post('/add', authenticate, addParticipant);
router.post('/remove', authenticate, removeParticipant);
router.put('/:dateId/:memberId/status', authenticate, updateParticipantStatus);
router.put('/:dateId/:memberId/group', authenticate, updateParticipantGroup);

export default router;
